package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.a.b;
import com.ccnode.codegenerator.dom.a.f;
import com.ccnode.codegenerator.dom.a.g;
import com.ccnode.codegenerator.dom.a.h;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiField;
import com.intellij.psi.xml.XmlTag;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.GenericAttributeValue;
import org.jetbrains.annotations.NotNull;

public interface ConstructorGroup extends DomElement {
  @Attribute("javaType")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getJavaType();
  
  @Attribute("name")
  @Convert(h.class)
  @NotNull
  GenericAttributeValue<PsiClass> getName();
  
  @Attribute("jdbcType")
  @Convert(f.class)
  @NotNull
  GenericAttributeValue<PsiField> getJdbcType();
  
  @Attribute("typeHandler")
  @Convert(b.class)
  @NotNull
  GenericAttributeValue<PsiClass> getTypeHandler();
  
  @Attribute("select")
  @Convert(g.class)
  @NotNull
  GenericAttributeValue<XmlTag> getSelect();
}
